/* 
 * File:   str_int_map.h
 * Author: parkcs
 *
 * Created on July 21, 2011, 3:55 PM
 * 
 * Hashmap from str (const char*) to int 
 */

#ifndef STR_INT_MAP_H
#define	STR_INT_MAP_H

#include "hash.h"

#ifndef TYPEDEF_STR
#define TYPEDEF_STR
typedef const char* str;
#endif

#define KEYTYPE				str
#define KEY_HASH_FN(x)		FNV_32_longlong((uint64_t)x)
#define KEY_EQ_FN(x,y)		(x == y)
#define VALUETYPE			int
#define KEY_PRINT_FN(o,x)	fprintf(o, "%s", x);
#define VALUE_PRINT_FN(o,x) fprintf(o, "%d", x)
#include "../defs/map.def"

#endif	/* STR_INT_MAP_H */

